#!/usr/bin/env python3

import sys

lines = list(sys.stdin.readlines())
assert len(lines) == 1, f"Expected 1 line only, got {len(lines)}"
line1 = lines[0]
assert line1.endswith("\n"), f'Expected line ends with newline, got "{line1}"'
items = line1.split(" ")
assert len(items) == 8
for it in items:
    elt = int(it)
    assert 0 <= elt <= 10 ** 4, f"Expected 0 <= elt={elt} <= 10**4"

sys.exit(42)
